### Method

# Soup MessageHeaders set_content_disposition

#### Declaration [src]

    void
    soup_message_headers_set_content_disposition (
      SoupMessageHeaders* hdrs,
      const char* disposition,
      GHashTable* params
    )

#### Description [src]

Sets the “Content-Disposition” header in `hdrs` to `disposition`, optionally with additional parameters specified in `params`.

See `soup_message_headers_get_content_disposition()` for a discussion of how Content-Disposition is used in HTTP.

#### Parameters

`disposition`

  Type: `const char*`

  The disposition-type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `GHashTable`

  Additional parameters.

  The argument can be `NULL`.
  The data is owned by the caller of the function.